Page MenuHomePhabricator

Onboard Michal Anna (to begin on Oct 9th)
Closed, ResolvedPublic

Description

We have a running doc here: (https://office.wikimedia.org/wiki/Wikimedia_Security_Team/Onboarding_Michal_Anna)

Ongoing list of things:

Event Timeline

sbassett created this task.Oct 5 2018, 6:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 6:06 PM
sbassett updated the task description. (Show Details)Oct 5 2018, 6:08 PM
sbassett moved this task from Incoming to In Progress on the Security-Team board.Oct 5 2018, 6:11 PM
sbassett updated the task description. (Show Details)Oct 5 2018, 7:12 PM
Bawolff updated the task description. (Show Details)Oct 5 2018, 7:18 PM
sbassett updated the task description. (Show Details)Oct 5 2018, 7:25 PM
sbassett changed the task status from Open to Stalled.Oct 11 2018, 2:33 PM
sbassett triaged this task as Medium priority.
sbassett updated the task description. (Show Details)
sbassett changed the task status from Stalled to Open.Oct 16 2018, 6:37 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Oct 16 2018, 6:58 PM
Reedy updated the task description. (Show Details)Oct 23 2018, 3:53 PM
mmarble updated the task description. (Show Details)Oct 27 2018, 11:03 PM
mmarble added a subscriber: mmarble.
mmarble updated the task description. (Show Details)Oct 27 2018, 11:10 PM
mmarble updated the task description. (Show Details)Oct 27 2018, 11:41 PM
mmarble updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Oct 30 2018, 4:30 PM

This is looking good. I think the important things left are:

  1. Set up your wikitech/developer account (https://wikitech.wikimedia.org/w/index.php?title=Special:CreateAccount)
  2. Associate your wikitech LDAP account (created during step 1 ^) with Phabricator (optional, but probably a good idea)
  3. Have @JBennett add you to the Security-Team mailing list
  4. Have (probably) @chasemp add you to the security@ exim config
  5. Create a ticket with OIT (techsupport@wikimedia.org) and have them license you for irccloud (irccloud.com), then grab the desktop/mobile/whatever apps and walk through the IRC setup, probably starting here: https://office.wikimedia.org/wiki/IRC_QuickStart#Connecting_to_IRC_%22Channels%22. Despite it not technically being FLOSS, I (and I think several others) really like irccloud for its clean interface, auto-bouncer services, etc.
mmarble updated the task description. (Show Details)Oct 30 2018, 10:36 PM
mmarble added a subscriber: Reedy.EditedOct 30 2018, 11:04 PM
  • Contacted @JBennett about being added to Security-Team mailing list and #wikimedia-security & #wikimedia-staff IRC channels
  • contacted @Reedy about getting added to Security, Trusted-Contributors, & WMF-NDA Phab boards
  • Setup WeeChat as IRC client
  • Setup wikitech/dev account
  • linked wikitech account with phab
  • Have (probably) @chasemp add you to the security@ exim config
mmarble updated the task description. (Show Details)Oct 31 2018, 2:36 PM
mmarble updated the task description. (Show Details)
mmarble updated the task description. (Show Details)Oct 31 2018, 2:42 PM
mmarble updated the task description. (Show Details)Oct 31 2018, 3:27 PM
sbassett added a comment.EditedOct 31 2018, 3:42 PM

Hey @mmarble

Nevermind, I see T208431 now (thanks, @Krenair). Looks like that's in progress. Did you get added to the wmf LDAP group? Not seeing you here: https://gerrit.wikimedia.org/r/plugins/gitiles/operations/puppet/+/refs/heads/production/modules/admin/data/data.yaml, which I think you should be? You'd probably want to create a ticket like T204382 for that. I think you can just use the standard task request form: https://phabricator.wikimedia.org/maniphest/task/edit/form/1/ and then add LDAP-Access-Requests and Security-Team to the tags and someone will get to it.

For production shell access, you'll want to read over this: https://wikitech.wikimedia.org/wiki/Production_shell_access, and then eventually create a ticket like this: T207852, and have John approve it. I'd imagine you'd only need the access that Brian and I have for now, which is called out in the aforementioned ticket. Again, you'll eventually need this access, but it's probably not urgent for now.

chasemp updated the task description. (Show Details)Oct 31 2018, 3:51 PM
sbassett updated the task description. (Show Details)Nov 6 2018, 8:05 PM
sbassett moved this task from In Progress to Waiting on the Security-Team board.Nov 20 2018, 5:42 PM
Dzahn changed the status of subtask T208431: Add Marble to `wmf` LDAP group from Open to Stalled.Dec 11 2018, 12:27 AM
Dzahn changed the status of subtask T208431: Add Marble to `wmf` LDAP group from Stalled to Open.Dec 11 2018, 4:56 PM
sbassett closed this task as Resolved.Dec 11 2018, 5:15 PM

I'm going to resolve this ticket now. The last item was just to add the following to your /etc/hosts if wikitech,w.o/DNS ever goes down:

192.237.162.200 wikitech-static.wikimedia.org
2001:4801:7821:77:be76:4eff:fe10:2ed5 wikitech-static.wikimedia.org

If you really feel like doing that, go for it, but that's fairly optional IMO.